Package org.pushingpixels.flamingo.api.common

# Class StringValuePair<T>

java.lang.Object
org.pushingpixels.flamingo.api.common.KeyValuePair<String,T>
org.pushingpixels.flamingo.api.common.StringValuePair<T>

Type Parameters:
  `T` - Value class.

public class StringValuePair<T> extends KeyValuePair<String,T>
Key-value pair with a `String` key.

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.api.common.KeyValuePair

`key, propMap, value`

## Constructor Summary

Constructors
Constructor
Description
`StringValuePair(String key, T value)`
Creates a new pair.

## Method Summary

### Methods inherited from class org.pushingpixels.flamingo.api.common.KeyValuePair

`get, getKey, getProps, getValue, set`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringValuePair

public StringValuePair(String key, T value)
Creates a new pair.

Parameters:
  `key` - Pair key.
  `value` - Pair value.